icedtea-plugin desaparegut

classic Classic list List threaded Threaded
16 messages Options
Reply | Threaded
Open this post in threaded view
|

icedtea-plugin desaparegut

Narcis Garcia-3
És possible que el paquet «icedtea-plugin» estigués al repositori de
Debian 9 (stretch) i ara hagi estat eliminat?

L'he instal·lat un munt de vegades en ordinadors amb Debian 9, i ara no
el trobo quan estic fent una nova instal·lació de Debian stable.
--


__________
I'm using this express-made address because personal addresses aren't
masked enough at this mail public archive. Public archive administrator
should fix this against automated addresses collectors.

Reply | Threaded
Open this post in threaded view
|

Re: icedtea-plugin desaparegut

Eloi Notario
El 15/5/19 a les 17:45, Narcis Garcia ha escrit:
És possible que el paquet «icedtea-plugin» estigués al repositori de
Debian 9 (stretch) i ara hagi estat eliminat?

L'he instal·lat un munt de vegades en ordinadors amb Debian 9, i ara no
el trobo quan estic fent una nova instal·lació de Debian stable.

<https://packages.qa.debian.org/i/icedtea-web/news/20190209T214723Z.html>

Changes:
 icedtea-web (1.6.2-3.1+deb9u1) stretch; urgency=medium
 .
   * Stop building the browser plugin, no longer works with Firefox 60

Reply | Threaded
Open this post in threaded view
|

Re: icedtea-plugin desaparegut

Narcis Garcia-3
__________
I'm using this express-made address because personal addresses aren't
masked enough at this mail public archive. Public archive administrator
should fix this against automated addresses collectors.
El 15/5/19 a les 19:18, Eloi ha escrit:

> El 15/5/19 a les 17:45, Narcis Garcia ha escrit:
>> És possible que el paquet «icedtea-plugin» estigués al repositori de
>> Debian 9 (stretch) i ara hagi estat eliminat?
>>
>> L'he instal·lat un munt de vegades en ordinadors amb Debian 9, i ara no
>> el trobo quan estic fent una nova instal·lació de Debian stable.
>
> <https://packages.qa.debian.org/i/icedtea-web/news/20190209T214723Z.html>
>
>> Changes:
>>  icedtea-web (1.6.2-3.1+deb9u1) stretch; urgency=medium
>>  .
>>    * Stop building the browser plugin, no longer works with Firefox 60
>

«Stop building» no hauria de significar eliminar les versions ja
empaquetades i publicades (!)
Això pot trencar dependències d'altre programari, tant a Debian com a
d'altres publicadors.

Reply | Threaded
Open this post in threaded view
|

Re: icedtea-plugin desaparegut

Alex Muntada-2
Hola Narcis,

> «Stop building» no hauria de significar eliminar les versions
> ja empaquetades i publicades (!)
> Això pot trencar dependències d'altre programari, tant a Debian
> com a d'altres publicadors.

Des del moment en què s'accepta la versió ESR de Firefox a stable
com la millor alternativa, hi acompanyen tots els canvis que això
suposi, trenquin o no altre programari. El plugin de java no és
pas l'únic plugin que ha deixat de funcionar amb les noves
versions de firefox.

Mantenir versions del icedtea-plugin que no funcionen amb firefox
genera més maldecaps que no en resol per a la majoria d'usuaris.
Per tant jo trobo que té força sentit que no s'ofereixi quelcom
que se sap que no funciona.

Per a usuaris més avançats que vulguin tenir una foto de l'arxiu
tal com estava en un moment concret existeix snapshot.debian.org.

Salut!
Alex

--
  ⢀⣴⠾⠻⢶⣦⠀
  ⣾⠁⢠⠒⠀⣿⡁  Alex Muntada <[hidden email]>
  ⢿⡄⠘⠷⠚⠋   Debian Developer - log.alexm.org
  ⠈⠳⣄⠀⠀⠀⠀


signature.asc (849 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: icedtea-plugin desaparegut

Narcis Garcia-3
1. Jo pensava que dels repositoris no s'eliminava les versions anteriors
del programari de la mateixa distribució/versió.

2. Hi ha altres navegadors derivats de Mozilla que sí que fan ús
d'aquestes extensions. Per posar un exemple, jo he estat instal·lant
IceCat 52 a Debian per a utilitzar el complement de Java que requereixen
algunes administracions públiques per a signar i presentar documents.




__________
I'm using this express-made address because personal addresses aren't
masked enough at this mail public archive. Public archive administrator
should fix this against automated addresses collectors.
El 16/5/19 a les 0:08, Alex Muntada ha escrit:

> Hola Narcis,
>
>> «Stop building» no hauria de significar eliminar les versions
>> ja empaquetades i publicades (!)
>> Això pot trencar dependències d'altre programari, tant a Debian
>> com a d'altres publicadors.
>
> Des del moment en què s'accepta la versió ESR de Firefox a stable
> com la millor alternativa, hi acompanyen tots els canvis que això
> suposi, trenquin o no altre programari. El plugin de java no és
> pas l'únic plugin que ha deixat de funcionar amb les noves
> versions de firefox.
>
> Mantenir versions del icedtea-plugin que no funcionen amb firefox
> genera més maldecaps que no en resol per a la majoria d'usuaris.
> Per tant jo trobo que té força sentit que no s'ofereixi quelcom
> que se sap que no funciona.
>
> Per a usuaris més avançats que vulguin tenir una foto de l'arxiu
> tal com estava en un moment concret existeix snapshot.debian.org.
>
> Salut!
> Alex
>
> --
>   ⢀⣴⠾⠻⢶⣦⠀
>   ⣾⠁⢠⠒⠀⣿⡁  Alex Muntada <[hidden email]>
>   ⢿⡄⠘⠷⠚⠋   Debian Developer - log.alexm.org
>   ⠈⠳⣄⠀⠀⠀⠀
>

Reply | Threaded
Open this post in threaded view
|

Re: icedtea-plugin desaparegut >> AutoFirma

Joan
Algú s'ha esbarallat mai amb el soft de Ministeriod e Justiacia
(AutoFirma em penso que es diu). L'altre dia mirava de fer-lo funcionar
i no vaig aconseguir que Firefox o Chrome ho fessin (però si que puc
obrir el soft des de terminal, via java)

Joan

El Thu, 16 May 2019 08:07:55 +0200
Narcis Garcia <[hidden email]> va escriure:

> 1. Jo pensava que dels repositoris no s'eliminava les versions
> anteriors del programari de la mateixa distribució/versió.
>
> 2. Hi ha altres navegadors derivats de Mozilla que sí que fan ús
> d'aquestes extensions. Per posar un exemple, jo he estat instal·lant
> IceCat 52 a Debian per a utilitzar el complement de Java que
> requereixen algunes administracions públiques per a signar i
> presentar documents.
>
>
>
>
> __________
> I'm using this express-made address because personal addresses aren't
> masked enough at this mail public archive. Public archive
> administrator should fix this against automated addresses collectors.
> El 16/5/19 a les 0:08, Alex Muntada ha escrit:
> > Hola Narcis,
> >  
> >> «Stop building» no hauria de significar eliminar les versions
> >> ja empaquetades i publicades (!)
> >> Això pot trencar dependències d'altre programari, tant a Debian
> >> com a d'altres publicadors.  
> >
> > Des del moment en què s'accepta la versió ESR de Firefox a stable
> > com la millor alternativa, hi acompanyen tots els canvis que això
> > suposi, trenquin o no altre programari. El plugin de java no és
> > pas l'únic plugin que ha deixat de funcionar amb les noves
> > versions de firefox.
> >
> > Mantenir versions del icedtea-plugin que no funcionen amb firefox
> > genera més maldecaps que no en resol per a la majoria d'usuaris.
> > Per tant jo trobo que té força sentit que no s'ofereixi quelcom
> > que se sap que no funciona.
> >
> > Per a usuaris més avançats que vulguin tenir una foto de l'arxiu
> > tal com estava en un moment concret existeix snapshot.debian.org.
> >
> > Salut!
> > Alex
> >
> > --
> >   ⢀⣴⠾⠻⢶⣦⠀
> >   ⣾⠁⢠⠒⠀⣿⡁  Alex Muntada <[hidden email]>
> >   ⢿⡄⠘⠷⠚⠋   Debian Developer - log.alexm.org
> >   ⠈⠳⣄⠀⠀⠀⠀
> >  
>



--
Joan Cervan i Andreu
http://personal.calbasi.net

"El meu paper no és transformar el món ni l'home sinó, potser, el de
ser útil, des del meu lloc, als pocs valors sense els quals un món no
val la pena viure'l" A. Camus

i pels que teniu fe:
"Déu no és la Veritat, la Veritat és Déu"
Gandhi

Reply | Threaded
Open this post in threaded view
|

Re: icedtea-plugin desaparegut

Narcis Garcia-3
In reply to this post by Alex Muntada-2
__________
I'm using this express-made address because personal addresses aren't
masked enough at this mail public archive. Public archive administrator
should fix this against automated addresses collectors.
El 16/5/19 a les 0:08, Alex Muntada ha escrit:

> Hola Narcis,
>
>> «Stop building» no hauria de significar eliminar les versions
>> ja empaquetades i publicades (!)
>> Això pot trencar dependències d'altre programari, tant a Debian
>> com a d'altres publicadors.
>
> Des del moment en què s'accepta la versió ESR de Firefox a stable
> com la millor alternativa, hi acompanyen tots els canvis que això
> suposi, trenquin o no altre programari. El plugin de java no és
> pas l'únic plugin que ha deixat de funcionar amb les noves
> versions de firefox.
>
> Mantenir versions del icedtea-plugin que no funcionen amb firefox
> genera més maldecaps que no en resol per a la majoria d'usuaris.
> Per tant jo trobo que té força sentit que no s'ofereixi quelcom
> que se sap que no funciona.
>
> Per a usuaris més avançats que vulguin tenir una foto de l'arxiu
> tal com estava en un moment concret existeix snapshot.debian.org.
>

S'acumulen les raons per les quals no s'hauria d'acceptar noves versions
d'aplicacions (com Firefox) als repositoris d'una mateixa Debian.
És un desastre que Debian 9 hagi passat de Firefox 52 a Firefox 60,
bàsicament perquè s'ha ELIMINAT Firefox 52.

Qualsevol usuari que necessités l'applet de Java es pot arrepentir
d'haver aplicat actualitzacions al sistema, i les úniques alternatives
de Debian són: trobar casualment els paquets de Firefox 52 en un CD
d'instal·lació, o formatejar i instal·lar Debian 9.0 offline.

Reply | Threaded
Open this post in threaded view
|

Re: icedtea-plugin desaparegut >> AutoFirma

Alex Muntada-2
In reply to this post by Joan
Hola Joan,

> Algú s'ha esbarallat mai amb el soft de Ministeriod e Justiacia
> (AutoFirma em penso que es diu). L'altre dia mirava de fer-lo
> funcionar i no vaig aconseguir que Firefox o Chrome ho fessin
> (però si que puc obrir el soft des de terminal, via java)

Si no em falla la memòria, diria que vaig utilitzar l'autofirma
per avalar el Front Republicà a mifirma.com. Però això va ser
abans de fer upgrade a buster, així que ara no sé si funciona
ni sé com podria comprovar-ho.

La versió que tinc instal·lada d'autofirma és l'1.6.2. Si et
vols que provi alguna cosa ja diràs.

Salut!
Alex

--
  ⢀⣴⠾⠻⢶⣦⠀
  ⣾⠁⢠⠒⠀⣿⡁  Alex Muntada <[hidden email]>
  ⢿⡄⠘⠷⠚⠋   Debian Developer - log.alexm.org
  ⠈⠳⣄⠀⠀⠀⠀


signature.asc (849 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: icedtea-plugin desaparegut

Alex Muntada-2
In reply to this post by Narcis Garcia-3
Hola Narcis,

> S'acumulen les raons per les quals no s'hauria d'acceptar noves
> versions d'aplicacions (com Firefox) als repositoris d'una
> mateixa Debian.

Trobo que mantenir les versions antigues que tenen problemes de
seguretat i no suporten els nous estàndards de web seria dolent
per a molts usuaris de Debian.

És per aquest motiu que el firefox-esr és dels pocs paquets en
què es fa una excepció i s'inclouen les noves versions, encara
que siguin incompatibles cap enrere.

> És un desastre que Debian 9 hagi passat de Firefox 52 a Firefox
> 60, bàsicament perquè s'ha ELIMINAT Firefox 52.

Entenc que és un desastre per al teu cas d'ús particular. Per la
meva banda, jo estic molt content que s'hagi deixat enrera la
tecnologia dels applets. Potser algunes administracions encara
trigaran una mica en canviar els seus sistemes d'informació, però
cada cop en queden menys.

Per un altre cop, si no vols que s'actualitzi un paquet tens
l'opció de bloquejar-lo fent:

    $ sudo apt-mark hold ...

Ah! Recorda de repassar els paquets bloquejats abans de fer un
upgrade de versió del sistema.

Salut!
Alex

--
  ⢀⣴⠾⠻⢶⣦⠀
  ⣾⠁⢠⠒⠀⣿⡁  Alex Muntada <[hidden email]>
  ⢿⡄⠘⠷⠚⠋   Debian Developer - log.alexm.org
  ⠈⠳⣄⠀⠀⠀⠀


signature.asc (849 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: icedtea-plugin desaparegut

Joan
In reply to this post by Narcis Garcia-3
Potser aquest és el problema... Però tampoc em funciona amb Chrome...
Potser he de fer algun pas més perquè Chrome me'l reconegui... El
curiós és que amb Firefox faig servir sense problema el soft de
l'agència tributària, mab certificat FNMT inclòs... I això també gasta
java... per tant entenc que l'autofirma aquest necessita més coses...
(ppi KISS a prendre aire??)

El Fri, 17 May 2019 20:55:41 +0200
Narcis Garcia <[hidden email]> va escriure:

> __________
> I'm using this express-made address because personal addresses aren't
> masked enough at this mail public archive. Public archive
> administrator should fix this against automated addresses collectors.
> El 16/5/19 a les 0:08, Alex Muntada ha escrit:
> > Hola Narcis,
> >  
> >> «Stop building» no hauria de significar eliminar les versions
> >> ja empaquetades i publicades (!)
> >> Això pot trencar dependències d'altre programari, tant a Debian
> >> com a d'altres publicadors.  
> >
> > Des del moment en què s'accepta la versió ESR de Firefox a stable
> > com la millor alternativa, hi acompanyen tots els canvis que això
> > suposi, trenquin o no altre programari. El plugin de java no és
> > pas l'únic plugin que ha deixat de funcionar amb les noves
> > versions de firefox.
> >
> > Mantenir versions del icedtea-plugin que no funcionen amb firefox
> > genera més maldecaps que no en resol per a la majoria d'usuaris.
> > Per tant jo trobo que té força sentit que no s'ofereixi quelcom
> > que se sap que no funciona.
> >
> > Per a usuaris més avançats que vulguin tenir una foto de l'arxiu
> > tal com estava en un moment concret existeix snapshot.debian.org.
> >  
>
> S'acumulen les raons per les quals no s'hauria d'acceptar noves
> versions d'aplicacions (com Firefox) als repositoris d'una mateixa
> Debian. És un desastre que Debian 9 hagi passat de Firefox 52 a
> Firefox 60, bàsicament perquè s'ha ELIMINAT Firefox 52.
>
> Qualsevol usuari que necessités l'applet de Java es pot arrepentir
> d'haver aplicat actualitzacions al sistema, i les úniques alternatives
> de Debian són: trobar casualment els paquets de Firefox 52 en un CD
> d'instal·lació, o formatejar i instal·lar Debian 9.0 offline.
>



--
Joan Cervan i Andreu
http://personal.calbasi.net

"El meu paper no és transformar el món ni l'home sinó, potser, el de
ser útil, des del meu lloc, als pocs valors sense els quals un món no
val la pena viure'l" A. Camus

i pels que teniu fe:
"Déu no és la Veritat, la Veritat és Déu"
Gandhi

Reply | Threaded
Open this post in threaded view
|

Re: icedtea-plugin desaparegut

Narcis Garcia-3
In reply to this post by Alex Muntada-2
Quan estàs «amb el front dels usuaris» t'adones que la pràctica i la
teòrica no coincideixen.
La solució semblaria tant fàcil com fer cas a l'usuari: Que ha trucat al
servei de suport del departament de justícia, o del registre d'entrada
d'on sigui, i li han dir que descarregant-se tal programa.exe tot li
anirà a la primera.

A mi no em sembla malament deixar enrere la tecnologia dels Applets,
sinó que em sembla malament deixar enrere els usuaris dels Applets, i la
quantitat d'usuaris del programari lliure que es perden (i les hores i
saliva que es gasta) per decisions com aquesta.

Si Firefox 52 era un desastre en seguretat, també ho podrem dir de
Firefox 60 quan estiguem per la versió 70.
De manera que et dic jo: Si FF 52 funciona i FF 60 no, el desastre és de
l'últim.

Quan FF 52 era el normal, jo no podia preveure aquest disbarat com per a
bloquejar actualitzacions (hold), de manera que configuro els sistemes
per a què la gent se'ls pugui actualitzar (hauria de ser el normal), i
jo mateix aplico actualitzacions confiant en què és una bona idea.

Salut.


__________
I'm using this express-made address because personal addresses aren't
masked enough at this mail public archive. Public archive administrator
should fix this against automated addresses collectors.
El 17/5/19 a les 22:02, Alex Muntada ha escrit:

> Hola Narcis,
>
>> S'acumulen les raons per les quals no s'hauria d'acceptar noves
>> versions d'aplicacions (com Firefox) als repositoris d'una
>> mateixa Debian.
>
> Trobo que mantenir les versions antigues que tenen problemes de
> seguretat i no suporten els nous estàndards de web seria dolent
> per a molts usuaris de Debian.
>
> És per aquest motiu que el firefox-esr és dels pocs paquets en
> què es fa una excepció i s'inclouen les noves versions, encara
> que siguin incompatibles cap enrere.
>
>> És un desastre que Debian 9 hagi passat de Firefox 52 a Firefox
>> 60, bàsicament perquè s'ha ELIMINAT Firefox 52.
>
> Entenc que és un desastre per al teu cas d'ús particular. Per la
> meva banda, jo estic molt content que s'hagi deixat enrera la
> tecnologia dels applets. Potser algunes administracions encara
> trigaran una mica en canviar els seus sistemes d'informació, però
> cada cop en queden menys.
>
> Per un altre cop, si no vols que s'actualitzi un paquet tens
> l'opció de bloquejar-lo fent:
>
>     $ sudo apt-mark hold ...
>
> Ah! Recorda de repassar els paquets bloquejats abans de fer un
> upgrade de versió del sistema.
>
> Salut!
> Alex
>
> --
>   ⢀⣴⠾⠻⢶⣦⠀
>   ⣾⠁⢠⠒⠀⣿⡁  Alex Muntada <[hidden email]>
>   ⢿⡄⠘⠷⠚⠋   Debian Developer - log.alexm.org
>   ⠈⠳⣄⠀⠀⠀⠀
>

Reply | Threaded
Open this post in threaded view
|

Re: icedtea-plugin desaparegut

Alex Muntada-2
Hola Narcis,

> em sembla malament deixar enrere els usuaris dels Applets, i la
> quantitat d'usuaris del programari lliure que es perden (i les
> hores i saliva que es gasta) per decisions com aquesta.

Sempre que es trenca la compatibilitat enrera algú en sortirà
perjudicat, sigui quina sigui la decisió que es prengui. Si
s'actualitza, una part dels usuaris es veuran afectats, sinó
una altra part. Fins i tot pot haver-hi gent que vulgui tenir
les funcionalitats de la nova versió i a més a més, les de la
vella, fent-ho encara més difícil.

Per tant, sigui quina sigui la decisió, algú hi perd. Al final
els responsables del paquet valoren la situació i trien el que
creuen que és millor. El que segurament els sigui útil és que
la gent afectada d'una manera o altra els informi.

> Si Firefox 52 era un desastre en seguretat, també ho podrem dir
> de Firefox 60 quan estiguem per la versió 70.

La versió 60 és la que actualment Mozilla publica com a ESR. Quan
Mozilla decideixi canviar-la per una altra, els mantenidors del
firefox-esr a Debian l'empaquetaran per a stable i la publicaran.
Per tant, la situació que planteges no es produirà.

> Quan FF 52 era el normal, jo no podia preveure aquest disbarat
> com per a bloquejar actualitzacions (hold), de manera que
> configuro els sistemes per a què la gent se'ls pugui actualitzar
> (hauria de ser el normal), i jo mateix aplico actualitzacions
> confiant en què és una bona idea.

No recordo com es va anunciar el canvi, però recordo que hi va
haver debat sobre si deixar la 52 a stable o seguir amb la ESR.
Potser no es va informar amb prou antelació o difusió, aquestes
coses passen perquè som humans.

En aquest sentit, de tant en tant està bé recordar que Debian
és una distribució produïda per voluntaris amb temps i recursos
limitats, que intenten fer la millor distribució possible per a
si mateixos. És a dir, els principals usuaris de Debian són els
mateixos que la fan.

Això no vol dir que no es tinguin en compte altres opinions (quan
es fan arribar pels canals habituals com els bugs), però a l'hora
de prioritzar una decisió o una altra, els desenvolupadors de
Debian defensen primer els seus propis interessos.

Salut,
Alex

--
  ⢀⣴⠾⠻⢶⣦⠀
  ⣾⠁⢠⠒⠀⣿⡁  Alex Muntada <[hidden email]>
  ⢿⡄⠘⠷⠚⠋   Debian Developer - log.alexm.org
  ⠈⠳⣄⠀⠀⠀⠀


signature.asc (849 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: icedtea-plugin desaparegut

Narcis Garcia-3
__________
I'm using this express-made address because personal addresses aren't
masked enough at this mail public archive. Public archive administrator
should fix this against automated addresses collectors.
El 18/5/19 a les 1:39, Alex Muntada ha escrit:
> Sempre que es trenca la compatibilitat enrera algú en sortirà
> perjudicat, sigui quina sigui la decisió que es prengui. Si
> s'actualitza, una part dels usuaris es veuran afectats, sinó
> una altra part. Fins i tot pot haver-hi gent que vulgui tenir
> les funcionalitats de la nova versió i a més a més, les de la
> vella, fent-ho encara més difícil.

No era tant difícil el no eliminar les versions anteriors dels paquets
en els repositoris, via que pot satisfer tothom. D'aquesta manera, quan
a algú li manquen les Applets, tan sols cal fer:
$ sudo apt install firefox=52

>> Si Firefox 52 era un desastre en seguretat, també ho podrem dir
>> de Firefox 60 quan estiguem per la versió 70.
>
> La versió 60 és la que actualment Mozilla publica com a ESR. Quan
> Mozilla decideixi canviar-la per una altra, els mantenidors del
> firefox-esr a Debian l'empaquetaran per a stable i la publicaran.
> Per tant, la situació que planteges no es produirà.

Em sembla que la meva afirmació tenia més sentit que la teva resposta.
Potser algú expert en lògica podria analitzar i explicar les frases, per
a cada context possible.

Salut.

Reply | Threaded
Open this post in threaded view
|

Re: icedtea-plugin desaparegut >> AutoFirma

Narcis Garcia-3
In reply to this post by Joan
Acabo d'aconseguir ple funcionament de l'AutoFirma a portals web (sabent
el què faig), amb GNU/Linux i Mozilla Firefox 60 (per tal de signar amb
el certificat digital, apart del mètode d'accés dels navegadors):

1. Instal·lar el(s) certificat(s) digitals que volem fer servir al
navegador:
Menú
-> Preferències
--> Privadesa i seguretat
---> Visualitza els certificats
----> [Importa]

2. Tancar el navegador web

3. Instal·lar AutoFirma:
http://firmaelectronica.gob.es/Home/Descargas.html

4. Rectificar el lloc de les preferències instal·lades:
sudo ln -s /etc/firefox/pref/AutoFirma.js /etc/firefox-esr/AutoFirma.js
sudo ln -s /etc/firefox/pref/AutoFirma.js /etc/firefox/AutoFirma.js


5. Obrir l'aplicació d'escriptori AutoFirma i posar-la a prova sola;
-> Seleccionar ficheros a firmar
--> Qualsevol fitxer de l'ordinador [Ok]
---> Firmar
Si apareix la finestreta de selecció del certificat, significa que
funciona bé. No cal completar.

6. Comprovar l'eficàcia via web, amb aquest portal:
valide.redsara.es
-> Realizar firma
--> Firmar
---> Seleccionar un fitxer qualsevol [Ok]
Si apareix la finestreta de selecció del certificat, significa que
funciona bé. No cal completar.

COMPTE: Hi ha complements de protecció (per exemple uMatrix) que
bloquegen l'accés a origens del propi ordinador (127.0.0.1), amb la qual
cosa cal donar-hi permís expressament, i desar l'excepció si es vol.

El què encara no he aconseguit és que vagi igual de bé amb el navegador
derivat lliure IceCat (he provat la versió 52)






__________
I'm using this express-made address because personal addresses aren't
masked enough at this mail public archive. Public archive administrator
should fix this against automated addresses collectors.
El 17/5/19 a les 20:44, Joan ha escrit:

> Algú s'ha esbarallat mai amb el soft de Ministeriod e Justiacia
> (AutoFirma em penso que es diu). L'altre dia mirava de fer-lo funcionar
> i no vaig aconseguir que Firefox o Chrome ho fessin (però si que puc
> obrir el soft des de terminal, via java)
>
> Joan
>
> El Thu, 16 May 2019 08:07:55 +0200
> Narcis Garcia <[hidden email]> va escriure:
>
>> 1. Jo pensava que dels repositoris no s'eliminava les versions
>> anteriors del programari de la mateixa distribució/versió.
>>
>> 2. Hi ha altres navegadors derivats de Mozilla que sí que fan ús
>> d'aquestes extensions. Per posar un exemple, jo he estat instal·lant
>> IceCat 52 a Debian per a utilitzar el complement de Java que
>> requereixen algunes administracions públiques per a signar i
>> presentar documents.
>>
>>
>>
>>
>> __________
>> I'm using this express-made address because personal addresses aren't
>> masked enough at this mail public archive. Public archive
>> administrator should fix this against automated addresses collectors.
>> El 16/5/19 a les 0:08, Alex Muntada ha escrit:
>>> Hola Narcis,
>>>  
>>>> «Stop building» no hauria de significar eliminar les versions
>>>> ja empaquetades i publicades (!)
>>>> Això pot trencar dependències d'altre programari, tant a Debian
>>>> com a d'altres publicadors.  
>>>
>>> Des del moment en què s'accepta la versió ESR de Firefox a stable
>>> com la millor alternativa, hi acompanyen tots els canvis que això
>>> suposi, trenquin o no altre programari. El plugin de java no és
>>> pas l'únic plugin que ha deixat de funcionar amb les noves
>>> versions de firefox.
>>>
>>> Mantenir versions del icedtea-plugin que no funcionen amb firefox
>>> genera més maldecaps que no en resol per a la majoria d'usuaris.
>>> Per tant jo trobo que té força sentit que no s'ofereixi quelcom
>>> que se sap que no funciona.
>>>
>>> Per a usuaris més avançats que vulguin tenir una foto de l'arxiu
>>> tal com estava en un moment concret existeix snapshot.debian.org.
>>>
>>> Salut!
>>> Alex
>>>
>>> --
>>>   ⢀⣴⠾⠻⢶⣦⠀
>>>   ⣾⠁⢠⠒⠀⣿⡁  Alex Muntada <[hidden email]>
>>>   ⢿⡄⠘⠷⠚⠋   Debian Developer - log.alexm.org
>>>   ⠈⠳⣄⠀⠀⠀⠀
>>>  
>>
>
>
>

Reply | Threaded
Open this post in threaded view
|

Re: icedtea-plugin desaparegut >> AutoFirma

Joan
Després ho provo... Jo tinc uBlock Origin, i no se m'havia acudit que
això ho pogués bloquejar... Nem bé!

El Tue, 4 Jun 2019 16:07:13 +0200
Narcis Garcia <[hidden email]> va escriure:

> Acabo d'aconseguir ple funcionament de l'AutoFirma a portals web
> (sabent el què faig), amb GNU/Linux i Mozilla Firefox 60 (per tal de
> signar amb el certificat digital, apart del mètode d'accés dels
> navegadors):
>
> 1. Instal·lar el(s) certificat(s) digitals que volem fer servir al
> navegador:
> Menú
> -> Preferències
> --> Privadesa i seguretat
> ---> Visualitza els certificats
> ----> [Importa]  
>
> 2. Tancar el navegador web
>
> 3. Instal·lar AutoFirma:
> http://firmaelectronica.gob.es/Home/Descargas.html
>
> 4. Rectificar el lloc de les preferències instal·lades:
> sudo ln
> -s /etc/firefox/pref/AutoFirma.js /etc/firefox-esr/AutoFirma.js sudo
> ln -s /etc/firefox/pref/AutoFirma.js /etc/firefox/AutoFirma.js
>
>
> 5. Obrir l'aplicació d'escriptori AutoFirma i posar-la a prova sola;
> -> Seleccionar ficheros a firmar
> --> Qualsevol fitxer de l'ordinador [Ok]
> ---> Firmar  
> Si apareix la finestreta de selecció del certificat, significa que
> funciona bé. No cal completar.
>
> 6. Comprovar l'eficàcia via web, amb aquest portal:
> valide.redsara.es
> -> Realizar firma
> --> Firmar
> ---> Seleccionar un fitxer qualsevol [Ok]  
> Si apareix la finestreta de selecció del certificat, significa que
> funciona bé. No cal completar.
>
> COMPTE: Hi ha complements de protecció (per exemple uMatrix) que
> bloquegen l'accés a origens del propi ordinador (127.0.0.1), amb la
> qual cosa cal donar-hi permís expressament, i desar l'excepció si es
> vol.
>
> El què encara no he aconseguit és que vagi igual de bé amb el
> navegador derivat lliure IceCat (he provat la versió 52)
>
>
>
>
>
>
> __________
> I'm using this express-made address because personal addresses aren't
> masked enough at this mail public archive. Public archive
> administrator should fix this against automated addresses collectors.
> El 17/5/19 a les 20:44, Joan ha escrit:
> > Algú s'ha esbarallat mai amb el soft de Ministeriod e Justiacia
> > (AutoFirma em penso que es diu). L'altre dia mirava de fer-lo
> > funcionar i no vaig aconseguir que Firefox o Chrome ho fessin (però
> > si que puc obrir el soft des de terminal, via java)
> >
> > Joan
> >
> > El Thu, 16 May 2019 08:07:55 +0200
> > Narcis Garcia <[hidden email]> va escriure:
> >  
> >> 1. Jo pensava que dels repositoris no s'eliminava les versions
> >> anteriors del programari de la mateixa distribució/versió.
> >>
> >> 2. Hi ha altres navegadors derivats de Mozilla que sí que fan ús
> >> d'aquestes extensions. Per posar un exemple, jo he estat
> >> instal·lant IceCat 52 a Debian per a utilitzar el complement de
> >> Java que requereixen algunes administracions públiques per a
> >> signar i presentar documents.
> >>
> >>
> >>
> >>
> >> __________
> >> I'm using this express-made address because personal addresses
> >> aren't masked enough at this mail public archive. Public archive
> >> administrator should fix this against automated addresses
> >> collectors. El 16/5/19 a les 0:08, Alex Muntada ha escrit:  
> >>> Hola Narcis,
> >>>    
> >>>> «Stop building» no hauria de significar eliminar les versions
> >>>> ja empaquetades i publicades (!)
> >>>> Això pot trencar dependències d'altre programari, tant a Debian
> >>>> com a d'altres publicadors.    
> >>>
> >>> Des del moment en què s'accepta la versió ESR de Firefox a stable
> >>> com la millor alternativa, hi acompanyen tots els canvis que això
> >>> suposi, trenquin o no altre programari. El plugin de java no és
> >>> pas l'únic plugin que ha deixat de funcionar amb les noves
> >>> versions de firefox.
> >>>
> >>> Mantenir versions del icedtea-plugin que no funcionen amb firefox
> >>> genera més maldecaps que no en resol per a la majoria d'usuaris.
> >>> Per tant jo trobo que té força sentit que no s'ofereixi quelcom
> >>> que se sap que no funciona.
> >>>
> >>> Per a usuaris més avançats que vulguin tenir una foto de l'arxiu
> >>> tal com estava en un moment concret existeix snapshot.debian.org.
> >>>
> >>> Salut!
> >>> Alex
> >>>
> >>> --
> >>>   ⢀⣴⠾⠻⢶⣦⠀
> >>>   ⣾⠁⢠⠒⠀⣿⡁  Alex Muntada <[hidden email]>
> >>>   ⢿⡄⠘⠷⠚⠋   Debian Developer - log.alexm.org
> >>>   ⠈⠳⣄⠀⠀⠀⠀
> >>>    
> >>  
> >
> >
> >  
>



--
Joan Cervan i Andreu
http://personal.calbasi.net

"El meu paper no és transformar el món ni l'home sinó, potser, el de
ser útil, des del meu lloc, als pocs valors sense els quals un món no
val la pena viure'l" A. Camus

i pels que teniu fe:
"Déu no és la Veritat, la Veritat és Déu"
Gandhi

Reply | Threaded
Open this post in threaded view
|

Re: icedtea-plugin desaparegut >> AutoFirma

Narcis Garcia-3
uBlock Origin no dóna cap problema.
També ho he provat amb aquest habilitat.



__________
I'm using this express-made address because personal addresses aren't
masked enough at this mail public archive. Public archive administrator
should fix this against automated addresses collectors.
El 4/6/19 a les 16:50, Joan ha escrit:

> Després ho provo... Jo tinc uBlock Origin, i no se m'havia acudit que
> això ho pogués bloquejar... Nem bé!
>
> El Tue, 4 Jun 2019 16:07:13 +0200
> Narcis Garcia <[hidden email]> va escriure:
>
>> Acabo d'aconseguir ple funcionament de l'AutoFirma a portals web
>> (sabent el què faig), amb GNU/Linux i Mozilla Firefox 60 (per tal de
>> signar amb el certificat digital, apart del mètode d'accés dels
>> navegadors):
>>
>> 1. Instal·lar el(s) certificat(s) digitals que volem fer servir al
>> navegador:
>> Menú
>> -> Preferències
>> --> Privadesa i seguretat
>> ---> Visualitza els certificats
>> ----> [Importa]  
>>
>> 2. Tancar el navegador web
>>
>> 3. Instal·lar AutoFirma:
>> http://firmaelectronica.gob.es/Home/Descargas.html
>>
>> 4. Rectificar el lloc de les preferències instal·lades:
>> sudo ln
>> -s /etc/firefox/pref/AutoFirma.js /etc/firefox-esr/AutoFirma.js sudo
>> ln -s /etc/firefox/pref/AutoFirma.js /etc/firefox/AutoFirma.js
>>
>>
>> 5. Obrir l'aplicació d'escriptori AutoFirma i posar-la a prova sola;
>> -> Seleccionar ficheros a firmar
>> --> Qualsevol fitxer de l'ordinador [Ok]
>> ---> Firmar  
>> Si apareix la finestreta de selecció del certificat, significa que
>> funciona bé. No cal completar.
>>
>> 6. Comprovar l'eficàcia via web, amb aquest portal:
>> valide.redsara.es
>> -> Realizar firma
>> --> Firmar
>> ---> Seleccionar un fitxer qualsevol [Ok]  
>> Si apareix la finestreta de selecció del certificat, significa que
>> funciona bé. No cal completar.
>>
>> COMPTE: Hi ha complements de protecció (per exemple uMatrix) que
>> bloquegen l'accés a origens del propi ordinador (127.0.0.1), amb la
>> qual cosa cal donar-hi permís expressament, i desar l'excepció si es
>> vol.
>>
>> El què encara no he aconseguit és que vagi igual de bé amb el
>> navegador derivat lliure IceCat (he provat la versió 52)
>>
>>
>>
>>
>>
>>
>> __________
>> I'm using this express-made address because personal addresses aren't
>> masked enough at this mail public archive. Public archive
>> administrator should fix this against automated addresses collectors.
>> El 17/5/19 a les 20:44, Joan ha escrit:
>>> Algú s'ha esbarallat mai amb el soft de Ministeriod e Justiacia
>>> (AutoFirma em penso que es diu). L'altre dia mirava de fer-lo
>>> funcionar i no vaig aconseguir que Firefox o Chrome ho fessin (però
>>> si que puc obrir el soft des de terminal, via java)
>>>
>>> Joan
>>>
>>> El Thu, 16 May 2019 08:07:55 +0200
>>> Narcis Garcia <[hidden email]> va escriure:
>>>  
>>>> 1. Jo pensava que dels repositoris no s'eliminava les versions
>>>> anteriors del programari de la mateixa distribució/versió.
>>>>
>>>> 2. Hi ha altres navegadors derivats de Mozilla que sí que fan ús
>>>> d'aquestes extensions. Per posar un exemple, jo he estat
>>>> instal·lant IceCat 52 a Debian per a utilitzar el complement de
>>>> Java que requereixen algunes administracions públiques per a
>>>> signar i presentar documents.
>>>>
>>>>
>>>>
>>>>
>>>> __________
>>>> I'm using this express-made address because personal addresses
>>>> aren't masked enough at this mail public archive. Public archive
>>>> administrator should fix this against automated addresses
>>>> collectors. El 16/5/19 a les 0:08, Alex Muntada ha escrit:  
>>>>> Hola Narcis,
>>>>>    
>>>>>> «Stop building» no hauria de significar eliminar les versions
>>>>>> ja empaquetades i publicades (!)
>>>>>> Això pot trencar dependències d'altre programari, tant a Debian
>>>>>> com a d'altres publicadors.    
>>>>>
>>>>> Des del moment en què s'accepta la versió ESR de Firefox a stable
>>>>> com la millor alternativa, hi acompanyen tots els canvis que això
>>>>> suposi, trenquin o no altre programari. El plugin de java no és
>>>>> pas l'únic plugin que ha deixat de funcionar amb les noves
>>>>> versions de firefox.
>>>>>
>>>>> Mantenir versions del icedtea-plugin que no funcionen amb firefox
>>>>> genera més maldecaps que no en resol per a la majoria d'usuaris.
>>>>> Per tant jo trobo que té força sentit que no s'ofereixi quelcom
>>>>> que se sap que no funciona.
>>>>>
>>>>> Per a usuaris més avançats que vulguin tenir una foto de l'arxiu
>>>>> tal com estava en un moment concret existeix snapshot.debian.org.
>>>>>
>>>>> Salut!
>>>>> Alex
>>>>>
>>>>> --
>>>>>   ⢀⣴⠾⠻⢶⣦⠀
>>>>>   ⣾⠁⢠⠒⠀⣿⡁  Alex Muntada <[hidden email]>
>>>>>   ⢿⡄⠘⠷⠚⠋   Debian Developer - log.alexm.org
>>>>>   ⠈⠳⣄⠀⠀⠀⠀
>>>>>    
>>>>  
>>>
>>>
>>>  
>>
>
>
>